<?php
namespace Repository;

use Util\Utilities;

class Job
{

    public function getAllJobs($conditions, $limit, $offset)
    {
        $query = <<<SQL
                SELECT JOB_NAME, JOB_CLASS, COMMENTS, ENABLED, JOB_TYPE, STATE,
                       SCHEDULE_NAME, SCHEDULE_TYPE, START_DATE, REPEAT_INTERVAL
                  FROM USER_SCHEDULER_JOBS
                 WHERE 1 = 1
                       $conditions

SQL;
        $query = Utilities::getPaginatedQuery($query, $limit, $offset);
        return Utilities::getReferenceConnection()->fetchAll($query);
    }
}